import { DragObject } from "./client/editContext";
import { Component, Page, Placeholder } from "./pageModel";
export declare function findComponent(id: string, placeholders: Placeholder[]): Component | undefined;
export declare function getComponentById(id: string, page: Page): Component | undefined;
export declare function getComponentByIdFromHeadlessLayout(id: string, page: any): Component | undefined;
export declare function getAllPlaceholders(page: Page): Placeholder[];
export declare const isValidPlaceholder: (placeholder: Placeholder, dragObject: DragObject) => boolean;
export declare function findAllComponentInstances(id: string, placeholders: Placeholder[]): Component[];
export declare function getAllComponentInstances(id: string, page: Page): Component[];
